For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETGet Statements
      • GETGet Account Monthly Statement Config
      • POSTPost Account Monthly Statement Config
      • GETGet Preview Account Monthly Statement
      • GETGet File
LogoLogo
Contact SupportGet Started
API ReferenceFiles

Get Account Monthly Statement Config

GET
/digital-banking/v1/files/account-monthly-statement-config
GET
/digital-banking/v1/files/account-monthly-statement-config
$curl https://api.modernfi.com/digital-banking/v1/files/account-monthly-statement-config \
> -H "Authorization: Bearer <token>"
1{
2 "id": "string",
3 "institution_id": "string",
4 "is_regulatory_mark": true,
5 "is_account_id_masking": true,
6 "statement_title": "string",
7 "disclosures_paragraph": "string",
8 "contact_and_mailing_info": "string",
9 "closing_paragraph": "string"
10}
Was this page helpful?
Previous

Post Account Monthly Statement Config

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
idstringformat: "uuid"
Unique ID of the statement config
institution_idstringformat: "uuid"
Institution this config belongs to
is_regulatory_markboolean
Show the regulatory mark on the statement
is_account_id_maskingboolean
Mask account numbers on the statement
statement_titlestring or null
Header title on the statement
disclosures_paragraphstring or null
Disclosures text at the bottom of the statement
contact_and_mailing_infostring or null
Contact info displayed in the statement footer
closing_paragraphstring or null
Closing message or signature text

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error